32bit applications on 64bit centos

General support questions including new installations
Post Reply
bluepepsi
Posts: 2
Joined: 2009/09/20 01:21:01

32bit applications on 64bit centos

Post by bluepepsi » 2009/09/20 01:25:41

Hey guys,

I have searched the whole google but did not find anything. I am trying to install a game server using hldsupdatetool.bin which can be found here, http://www.steampowered.com/download/hldsupdatetool.bin .

Unfortunately it can only run on 32bit Operating Systems. I need it to run on 64bit. What do I need to install?

Please be specific since I am really new to linux. Please tell me what I EXACTLY have to type in the command prompt.

Thanks in advance.

skolnick
Posts: 209
Joined: 2007/11/24 16:05:26

Re: 32bit applications on 64bit centos

Post by skolnick » 2009/09/20 18:34:32

Hi!

I am not sure this is the recommended procedure, but it worked for me:

1. Downloaded the binary file from the link you gave.

[code][gpulido@d850emv2 Desktop]$ wget http://www.steampowered.com/download/hldsupdatetool.bin[/code]

2. change the file so it is executable (required by ldd):

[code][gpulido@d850emv2 Desktop]$ chmod +x hldsupdatetool.bin[/code]

3. use ldd to get the dynamic libraries dependencies of the file:

[code][gpulido@d850emv2 Desktop]$ ldd hldsupdatetool.bin
linux-gate.so.1 => (0x00775000)
libc.so.6 => /lib/libc.so.6 (0x00110000)
/lib/ld-linux.so.2 (0x00645000)
[gpulido@d850emv2 Desktop]$ [/code]
4. Your display of ldd might be different, since I ran this on a 32-bit system. However, the interesting part will be there for you: this file depends on libraries ld-linux.so.2, libc.so.6 and linux-gate.so.1, (32 bit versions) so now try to find the RPM that provides them:

[code][gpulido@d850emv2 Desktop]$ yum provides ld-linux.so.2 libc.so.6 linux-gate.so.1
Loaded plugins: fastestmirror
glibc-2.5-34.i686 : The GNU libc libraries.
Matched from:
Other : ld-linux.so.2



glibc-2.5-34.i386 : The GNU libc libraries.
Matched from:
Other : ld-linux.so.2



glibc-2.5-34.el5_3.1.i386 : The GNU libc libraries.
Matched from:
Other : ld-linux.so.2



glibc-2.5-34.el5_3.1.i686 : The GNU libc libraries.
Matched from:
Other : ld-linux.so.2



glibc-2.5-34.i686 : The GNU libc libraries.
Matched from:
Other : libc.so.6



glibc-2.5-34.i386 : The GNU libc libraries.
Matched from:
Other : libc.so.6



glibc-2.5-34.el5_3.1.i386 : The GNU libc libraries.
Matched from:
Other : libc.so.6



glibc-2.5-34.el5_3.1.i686 : The GNU libc libraries.
Matched from:
Other : libc.so.6



glibc-2.5-34.el5_3.1.i686 : The GNU libc libraries.
Matched from:
Other : Provides-match: ld-linux.so.2



glibc-2.5-34.el5_3.1.i686 : The GNU libc libraries.
Matched from:
Other : Provides-match: libc.so.6



[gpulido@d850emv2 Desktop]$ [/code]

from this output, I would say you only need to install the glibc RPM (along with all of its dependancies, use yum for that) and then the file should run with no problem.

Hope this has helped (and taught you) even a little bit :D

Regards.

bluepepsi
Posts: 2
Joined: 2009/09/20 01:21:01

Re: 32bit applications on 64bit centos

Post by bluepepsi » 2009/09/20 19:17:42

Thanks, but where can I get the rpm? I am really new so I do not know what to do. Although that did help me a little bit.

skolnick
Posts: 209
Joined: 2007/11/24 16:05:26

Re: 32bit applications on 64bit centos

Post by skolnick » 2009/09/20 19:30:41

You can get the RPM from yum. It's the standard way of managing software in CentOS, so it will be useful to know it. On a terminal, as root, try this:

[code]yum install glibc.i686[/code]

That should do the trick.

Regards.

P.S: Why is the requirement of installing on 64bits? you do know that 32-bit CentOS can run on 64-bit machines without issue, dont' you? Also, which CentOS version are you using? I'm assuming latest released version (5.3)

pschaff
Retired Moderator
Posts: 18276
Joined: 2006/12/13 20:15:34
Location: Tidewater, Virginia, North America
Contact:

32bit applications on 64bit centos

Post by pschaff » 2009/09/21 20:05:29

I'd be somewhat surprised if the 32-bit glibc is not already installed. It normally will be unless the system has been forced to be 64-bit only.

Post Reply

Return to “CentOS 5 - General Support”